com.tibbo.aggregate.common.expression.parser

## Class SimpleNode

- java.lang.Object
- - com.tibbo.aggregate.common.expression.parser.SimpleNode

- All Implemented Interfaces:
    Node
  Direct Known Subclasses:
    ExpressionNode

      public class SimpleNode
      extends java.lang.Object
      implements Node

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Node[]` | `children`
    `protected Token` | `firstToken`
    `protected int` | `id`
    `protected Token` | `lastToken`
    `protected Node` | `parent`
    `protected ExpressionParser` | `parser`
    `protected java.lang.Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleNode(ExpressionParser p, int i)`
    `SimpleNode(int i)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `childrenAccept(ExpressionParserVisitor visitor, EvaluationEnvironment data)` Accept the visitor.
    `void` | `dump(java.lang.String prefix)`
    `AttributedObject` | `jjtAccept(ExpressionParserVisitor visitor, EvaluationEnvironment data)` Accept the visitor.
    `void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
    `void` | `jjtClose()` This method is called after all the child nodes have been added.
    `Node` | `jjtGetChild(int i)` This method returns a child node.
    `Token` | `jjtGetFirstToken()`
    `Token` | `jjtGetLastToken()`
    `int` | `jjtGetNumChildren()` Return the number of children the node has.
    `Node` | `jjtGetParent()`
    `java.lang.Object` | `jjtGetValue()`
    `void` | `jjtOpen()` This method is called after the node has been made the current node.
    `void` | `jjtSetFirstToken(Token token)`
    `void` | `jjtSetLastToken(Token token)`
    `void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.
    `void` | `jjtSetValue(java.lang.Object value)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(java.lang.String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected Node parent

    - #### children

          protected Node[] children

    - #### id

          protected int id

    - #### value

          protected java.lang.Object value

    - #### parser

          protected ExpressionParser parser

    - #### firstToken

          protected Token firstToken

    - #### lastToken

          protected Token lastToken

  - ### Constructor Detail

    - #### SimpleNode

          public SimpleNode(int i)

    - #### SimpleNode

          public SimpleNode(ExpressionParser p,
                            int i)

  - ### Method Detail

    - #### jjtOpen

          public void jjtOpen()

      Description copied from interface: `Node`
      This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.
      Specified by:
        `jjtOpen` in interface `Node`

    - #### jjtClose

          public void jjtClose()

      Description copied from interface: `Node`
      This method is called after all the child nodes have been added.
      Specified by:
        `jjtClose` in interface `Node`

    - #### jjtSetParent

          public void jjtSetParent(Node n)

      Description copied from interface: `Node`
      This pair of methods are used to inform the node of its parent.
      Specified by:
        `jjtSetParent` in interface `Node`

    - #### jjtGetParent

          public Node jjtGetParent()

      Specified by:
        `jjtGetParent` in interface `Node`

    - #### jjtAddChild

          public void jjtAddChild(Node n,
                                  int i)

      Description copied from interface: `Node`
      This method tells the node to add its argument to the node's list of children.
      Specified by:
        `jjtAddChild` in interface `Node`

    - #### jjtGetChild

          public Node jjtGetChild(int i)

      Description copied from interface: `Node`
      This method returns a child node. The children are numbered from zero, left to right.
      Specified by:
        `jjtGetChild` in interface `Node`

    - #### jjtGetNumChildren

          public int jjtGetNumChildren()

      Description copied from interface: `Node`
      Return the number of children the node has.
      Specified by:
        `jjtGetNumChildren` in interface `Node`

    - #### jjtSetValue

          public void jjtSetValue(java.lang.Object value)

    - #### jjtGetValue

          public java.lang.Object jjtGetValue()

    - #### jjtGetFirstToken

          public Token jjtGetFirstToken()

    - #### jjtSetFirstToken

          public void jjtSetFirstToken(Token token)

    - #### jjtGetLastToken

          public Token jjtGetLastToken()

    - #### jjtSetLastToken

          public void jjtSetLastToken(Token token)

    - #### jjtAccept

          public AttributedObject jjtAccept(ExpressionParserVisitor visitor,
                                            EvaluationEnvironment data)

      Accept the visitor.
      Specified by:
        `jjtAccept` in interface `Node`

    - #### childrenAccept

          public java.lang.Object childrenAccept(ExpressionParserVisitor visitor,
                                                 EvaluationEnvironment data)

      Accept the visitor.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(java.lang.String prefix)

    - #### dump

          public void dump(java.lang.String prefix)